<?php
/**
 * 管理员管理
 * $Id: account_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$action_type = ParamUtil::getRequestString("action_type");
$class_mst = new ClassMst();
if($action_type=="edit"){
	$class_mst = ClassMst::getById($id);
}
//年级列表取得
$param = array();
$param["school_id"] = 1;
$param["delete_flg"] = false;
$grade_list = GradeMst::getList($param,"id","asc");

// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/class.js");
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "class_edit_input.inc";
$layout_pages["menu_clicked"] = "menu_class";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;